OpenTTD Source: SlGamelogAction Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Static Public Attributes
SlGamelogAction Class Reference
Inheritance diagram for SlGamelogAction:

## Public Member Functions
void | Save (LoggedAction *la) const override
void | LoadChange (LoggedAction *la, GamelogChangeType type) const
void | Load (LoggedAction *la) const override
void | LoadCheck (LoggedAction *la) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogAction, LoggedAction >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (LoggedAction *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _gamelog_action_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 313 of file gamelog_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlGamelogAction::Load | ( | LoggedAction * | la | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogAction, LoggedAction >.

Definition at line 348 of file gamelog_sl.cpp.

## ◆ LoadChange()

void SlGamelogAction::LoadChange | ( | LoggedAction * | la,
|  | GamelogChangeType | type
| ) |  | const
| inline

Definition at line 341 of file gamelog_sl.cpp.

## ◆ LoadCheck()

void SlGamelogAction::LoadCheck | ( | LoggedAction * | la | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogAction, LoggedAction >.

Definition at line 367 of file gamelog_sl.cpp.

## ◆ Save()

void SlGamelogAction::Save | ( | LoggedAction * | la | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogAction, LoggedAction >.

Definition at line 331 of file gamelog_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlGamelogAction::compat_description = _gamelog_action_sl_compat
| inlinestatic

Definition at line 329 of file gamelog_sl.cpp.

## ◆ description

const SaveLoad SlGamelogAction::description[]
| inlinestatic

Initial value:
= {
SLE_SAVEBYTE(LoggedChange, ct),
SLEG_STRUCT("mode", SlGamelogMode),
SLEG_STRUCT("revision", SlGamelogRevision),
SLEG_STRUCT("oldver", SlGamelogOldver),
SLEG_STRUCT("setting", SlGamelogSetting),
SLEG_STRUCT("grfadd", SlGamelogGrfadd),
SLEG_STRUCT("grfrem", SlGamelogGrfrem),
SLEG_STRUCT("grfcompat", SlGamelogGrfcompat),
SLEG_STRUCT("grfparam", SlGamelogGrfparam),
SLEG_STRUCT("grfmove", SlGamelogGrfmove),
SLEG_STRUCT("grfbug", SlGamelogGrfbug),
SLEG_STRUCT("emergency", SlGamelogEmergency),
}
SlGamelogEmergency
Definition gamelog_sl.cpp:266
SlGamelogGrfadd
Definition gamelog_sl.cpp:127
SlGamelogGrfbug
Definition gamelog_sl.cpp:240
SlGamelogGrfcompat
Definition gamelog_sl.cpp:172
SlGamelogGrfmove
Definition gamelog_sl.cpp:217
SlGamelogGrfparam
Definition gamelog_sl.cpp:195
SlGamelogGrfrem
Definition gamelog_sl.cpp:150
SlGamelogMode
Definition gamelog_sl.cpp:22
SlGamelogOldver
Definition gamelog_sl.cpp:80
SlGamelogRevision
Definition gamelog_sl.cpp:45
SlGamelogSetting
Definition gamelog_sl.cpp:103
SLE_SAVEBYTE
#define SLE_SAVEBYTE(base, variable)
Only write byte during saving; never read it during loading.
Definition saveload.h:1083
SLEG_STRUCT
#define SLEG_STRUCT(name, handler)
Storage of a structs in every savegame version.
Definition saveload.h:1218
LoggedChange
Definition gamelog_internal.h:31

Definition at line 315 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp